Delayed February 2011 CU for SharePoint 2010 is now available


Finally also the February 2011 CU for the SharePoint 2010 product family has been released. The MOSS 2007 fixes have been released rougly two weeks ago.

Some of the KB articles are not yet available (as usual it will take a couple more days to get these through the required release process) but the fixes can already be downloaded.

As soon as the KB articles are live they can be found at the following locations:

  • KB 2475886 – WSS 3.0
  • KB 2475885 – MOSS 2007
  • KB 2475880 – SharePoint Foundation 2010
  • KB 2475878 – SharePoint Server 2010
  • KB 2475879 – SharePoint Server 2010 with Project Server
    As you see there is a separate Full Server Package for SharePoint Server 2010 with Project Server which simplifies patching of this common installation.

The Full Server Packages for February 2011 CU can be downloaded here:

For the 2010 Server Products it is sufficient to install the SharePoint Server 2010 package as it includes the SharePoint Foundation package.

Related Update Centers:

Comments (21)

  1. yannis says:

    Thanks!

  2. jarvann@hotmail.com says:

    Stefan,

      Thank you very much for posting this (and staying up late to do it).  Hopefully this fixes issues that I've been having.  I appreciate the "As Is" support from your blog in regards to the updates.  Keep up the great work!

    Cory

  3. Helge says:

    Stefan,

    I had a look at the SharePoint Update Center (technet.microsoft.com/…/ff800847.aspx) which says: "We recommend that you always install SharePoint Foundation 2010 patches before you install SharePoint Server 2010 patches. This best practice ensures that you will be successful when installing updates."

    You say and it's sufficient to install the full server package as it includes the foundation patches, which I believe is true. Shouldn't the update center say the same in order to publish consistent information?

    Thanks for publishing the CU notifier posts!

    Helge

  4. Hi Helge,

    the article was written with the assumption of the original design that SPF and SPS fixes would be two different packages.

    What this article tries to prevent is an SPS fix which is higher than the SPF fix.

    You can see this from this sentence: "…The software update system is designed to be flexible enough to allow you to install updates in any order…"

    The WSS 3.0/MOSS 2007 design is in this way and here we indeed recommend to install WSS 3.0 fixed before MOSS 2007 fixes.

    But with SPS 2010 separating the SPF fixes from the SPS fixes was not possible as there are some dependencies between SPF and SPS 2010.

    With other words:

    MOSS 2007 can run if the MOSS patch level is higher than the WSS patch level but with SPS 2010 this is not possible.

    That's why both are packaged together.

    Cheers,

    Stefan

  5. DeShon says:

    Dude, you are awesome! Thanks for the updated info. I have been following you since MCMS2002 and now that I am 100% in SharePoint, I find your posts as valuable. We feel you are our back-door to MS Support, sometimes we just need someone to make sense of it all.

    Thanks again Stefan!

    DeShon

  6. Arne says:

    Stefan,

    It seems like all the links for the kb's is wrong 🙁 Can't even find the kbs at support.microsoft.com/kb

    Do you know why?

    Regards,

    Arne

  7. Hi Arne,

    seems you did not try all the KB links and you did not read the post completely.

    As written in my blog "Some of the KB articles are not yet available".

    The 2007 links work.

    KB articles are released a couple of days/weeks after the fixes as they have to go through edit review.

    The hotfix download links should work.

    Cheers,

    Stefan

  8. Arne says:

    Hi Stefan

    No, I just tried all related to 2010. CU3 patch caused a lot of trouble for us, so I have been waiting for February patch 🙂 Already downloaded the patch, so I need to start testing.

    Thank you for your quick respond

    Regards,

    Arne

  9. yannis says:

    We have been having issues trying to install this update. After the initial SharePoint Configuration Wizard failed, after running the steps of KB939308, we still get the following errors upgrading the farm:

    PS C:> psconfig -cmd upgrade -inplace b2b -force -wait

    SharePoint Products Configuration Wizard version 14.0.4762.1000. Copyright (C) Micr

    osoft Corporation 2010. All rights reserved.

    Performing configuration task 1 of 4

    Initializing SharePoint Products upgrade…

    Waiting to get a lock to upgrade the farm.

    Successfully initialized SharePoint Products upgrade.

    Performing configuration task 2 of 4

    Initiating the upgrade sequence…

    Successfully initiated the upgrade sequence.

    Performing configuration task 3 of 4

    Upgrading SharePoint Products…

    Failed to upgrade SharePoint Products.

    An exception of type Microsoft.SharePoint.Administration.SPUpdatedConcurrencyExcept

    ion was thrown.  Additional exception information: An update conflict has occurred,

    and you must re-try this action. The object SPUpgradeSession Name=Upgrade-20110309

    -141850-321 was updated by DOMAINuser, in the PSCONFIG (3156) process, o

    n machine MACHINENAME.  View the tracing log for more information about the conflic

    t.

    Total number of configuration settings run: 3

    Total number of successful configuration settings: 2

    Total number of unsuccessful configuration settings: 1

    Successfully stopped the configuration of SharePoint Products.

    Configuration of SharePoint Products failed.  Configuration must be performed befor

    e you use SharePoint Products.  For further details, see the diagnostic log located

    at C:Program FilesCommon FilesMicrosoft SharedWeb Server Extensions14LOGSPS

    CDiagnostics_3_9_2011_14_18_42_272_416955813.log and the application event log.

  10. Hi Yannis,

    this is a common issue. See here how to resolve:

    support.microsoft.com/default.aspx

    Cheers,

    Stefan

  11. yannis says:

    About the SPUpdatedConcurrencyException issue, we have already completed the steps of KB 939308 but the problem still happens.

  12. Eric says:

    Hi Stefan,

    I've just got my SPS2010 set up, can i just apply the latest CU?

    Thanks

    Eric

  13. Hi Eric,

    yes. There is no further prerequesit.

    Cheers,

    Stefan

  14. George Khalil says:

    Hi Eric,

    Has the SharePoint "Server" February 2011 CU been pulled back by Microsoft.   I recently installed it on a farm and now trying to download it again, but the link is broken?

    Cheers

  15. Hi George,

    the fix download is available. I just double checked using the links above.

    Cheers,

    Stefan

  16. George Khalil says:

    I think it may have been re-instated in the last 20 minutes LOL.

    Cheers for following it up.

  17. Ali Salih says:

    Hi there.

    I am having an weird issue with my FEB 2011 CU. I installed the WSS portion of the update, (wss-kb2475886-fullfile-x64-glb) and everything installed properly, and PSConfig run success fully. And then I wanted to install the Office Server update which is office-kb2475885-fullfile-x64-glb and it is throwing an error.

    "The Expected version of the product was not found on the system"

    I've been reading the logs and I can not find anything wrong. I also tried running "psconfig -cmd upgrade -inplace b2b -wait -force"

    No luck. Any ideas?

  18. Hi Ali,

    that is a typical behavior if there are SharePoint server language packs installed – but service pack 2 for the language pack is missing.

    When installing SP2 you have to ensure to ensure to install SP2 for each additional language pack as well.

    Cheers,

    Stefan

  19. Ali Salih says:

    Hey Stefan.

    Thanks for your response. Currently, I've the French language pack installed, and I am pretty sure I installed the WSS SP2, and OfficeServer SP2 for this language packs while I was doing the initial installation. Additionally, after reading your post, just to make sure, I tried to re-install the SP2, and it says that it is already installed. (wssv3lpsp2-kb953338-x64-fullfile-fr-fr.exe and officeserverlp2007sp2-kb953334-x64-fullfile-fr-fr.exe) are the file names.

    Speaking of SP2 for language packs, do I need for English? Because I am not sure if I've that.

    Ali.

  20. Hi Ali,

    if you installed wss SP2 and officeserver SP2 in english, then there is no need to install english LP.

    Cheers,

    Stefan

  21. ali says:

    Stefan. Resolution to this issue was in fact installing the SP2 for the English language. So, even if you have WSS SP2 and Office Server SP2 installed in English, and if you have English LP installed, you still need SP2 LP.

    Wanted to inform the community following your blog.

    Thanks for your help.

    Ali.